Sympa::Database(3Sympa)

NAME
Sympa::Database - Handling databases

SYNOPSIS
  use Sympa::Database;

  $database = Sympa::Database->new('SQLite', db_name => '...');
      or die 'Cannot connect to database';
  $sth = $database->do_prepared_query('SELECT FROM ...', ...)
      or die 'Cannot execute query';
  $database->disconnect;

DESCRIPTION
TBD.

  Methods

new ( $db_type, [ option => value, ... ] )
    Constructor. Creates new database instance.

do_operation ( $operation, options... )
    Instance method, only for LDAP. Performs LDAP search operation. About options see "search" in Net::LDAP.

    Returns:

    Operation handle (LDAP::Search object or such), or "undef".

do_prepared_query ( $statement, parameters... )
    Instance method, only for SQL. Prepares and executes SQL query. $statement is an SQL statement that may contain placeholders "?".

    Returns:

    Statement handle (DBI::st object or such), or "undef".

do_query ( $statement, parameters... )
    Instance method, only for SQL. Executes SQL query. $statement and parameters will be fed to sprintf().

    Returns:

    Statement handle (DBI::st object or such), or "undef".

SEE ALSO
Sympa::DatabaseDriver.

HISTORY
Sympa Database Manager (SDM) appeared on Sympa 6.2.